<?php

class InternoController extends AppController
{
	/**
	 *
	 * @return LYTSuper
	 */
	public function getLayout(){
		if(!isset($this->_layout))
			$this->_layout = new LYTSuper();
		
		return $this->_layout;
		
	}

	public function init(){

		parent::init();

		// Definir el layout

	}
	 
public static function appCargarElementospublicos(){
		
		AppLibreria::addCSS("bootstrap.min.css",'/app/css/');
		AppLibreria::addCSS("font-awesome.min.css",'/app/css/');
		AppLibreria::addCSS("smartadmin-production.css",'/app/css/');
		AppLibreria::addCSS("smartadmin-skins.css",'/app/css/');
		AppLibreria::addCSS("your_style.css",'/app/css/');
		
		AppLibreria::addJs('libs/jquery-2.0.2.min.js', '/app/js/', false);
		AppLibreria::addJs('libs/jquery-ui-1.10.3.min.js', '/app/js/', false);
		AppLibreria::addJs('bootstrap/bootstrap.min.js', '/app/js/', false);
		AppLibreria::addJs('jquery.zoomooz.min.js', '/app/js/', false);
		AppLibreria::addJs('encadapagina.js', '/app/js/', false);
		AppLibreria::addJs('jquery.zend.jsonrpc.js', '/app/js/', false);
		AppLibreria::addJs('json2.js', '/app/js/', false);
		AppLibreria::addJs('appGrid.js', '/app/js/', false);
	
		AppLibreria::addJsBody('notification/SmartNotification.min.js','/app/js/');
		AppLibreria::addJsBody('smartwidgets/jarvis.widget.min.js','/app/js/');
		AppLibreria::addJsBody('plugin/msie-fix/jquery.mb.browser.min.js','/app/js/');
		AppLibreria::addJsBody('app_navegacion.js', '/app/js/', false);
	}
	
	
	public function iniciaMenuSuperior(){
		/*
		 $enlace = new VstEnlace('Usuarios', 'usuarios', 'listado');
		$this->_menu->addEnlace($enlace);
		$enlace = new VstEnlace('Eventos', 'evento', 'index');
		$this->_menu->addEnlace($enlace);

		$enlace = new VstEnlace('Segunda', 'index', 'index');
		$this->_menu->addEnlace($enlace);
		$enlace = new VstEnlace('Clientes', 'clientes', 'index');
		$this->_menu->addEnlace($enlace);
		$enlace = new VstEnlace('Perfiles', 'perfiles', 'index');
		$this->_menu->addEnlace($enlace);
		$enlace = new VstEnlace('Acl', 'acl', 'listado');
		$this->_menu->addEnlace($enlace);
		 
		$enlace = new VstEnlace('Planificacion', 'planificacion', 'index');
		$this->_menu->addEnlace($enlace);
		 
		$enlace = new VstEnlace('Configuracion', 'configuracion', 'index');
		$this->_menu->addEnlace($enlace);
		 
		$enlace = new VstEnlace('Salir', 'usuarios', 'logout');
		$this->_menu->addEnlace($enlace, false);
		 
		*/		 
	}

	public function verificacionAcl(){
		parent::verificacionAcl();
	}

}



